{# Copyright 2021 Karlsruhe Institute of Technology
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
 # You may obtain a copy of the License at
 #
 #     http://www.apache.org/licenses/LICENSE-2.0
 #
 # Unless required by applicable law or agreed to in writing, software
 # distributed under the License is distributed on an "AS IS" BASIS,
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License. #}

<workflow-editor tools-endpoint="{{ url_for('api.get_tools') }}"
                 :unsaved-changes="unsavedChangesWorkflow"
                 :workflow-url="workflowUrl"
                 :is-rendered="currentTab === 'upload-workflow'"
                 @unsaved-changes="unsavedChangesWorkflow = $event"
                 v-if="renderWorkflowTab">
  <template #default="props">
    <div class="row align-items-center mt-2">
      <div class="col-md-4 mb-md-0 mb-2">
        <button class="btn btn-primary btn-block"
                :disabled="uploadingWorkflow || !filenameWorkflow"
                @click="saveWorkflow(props.editor)">
          {% trans %}Upload as file{% endtrans %}
        </button>
      </div>
      <div class="col-md-8">
        <input class="form-control" placeholder="{% trans %}Filename{% endtrans %}" v-model.trim="filenameWorkflow">
      </div>
    </div>
  </template>
</workflow-editor>
